org.apache.flume.tools

## Enum FlumeToolType

- java.lang.Object
- - java.lang.Enum<FlumeToolType>
  - - org.apache.flume.tools.FlumeToolType

- All Implemented Interfaces:
    Serializable, Comparable<FlumeToolType>

      public enum FlumeToolType
      extends Enum<FlumeToolType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FCINTEGRITYTOOL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends FlumeTool>` | `getClassInstance()`
    `static String` | `getNames()`
    `static FlumeToolType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FlumeToolType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FCINTEGRITYTOOL

          public static final FlumeToolType FCINTEGRITYTOOL

  - ### Method Detail

    - #### values

          public static FlumeToolType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlumeToolType c : FlumeToolType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlumeToolType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getClassInstance

          public Class<? extends FlumeTool> getClassInstance()

    - #### getNames

          public static String getNames()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.